function submitTab(tabVal) {
    var tab = document.getElementsByName("tab");
    tab[0].value = tabVal;
    setMode("");
    document.getElementsByTagName('form')[0].submit();
}

function submitApplication(applicationName, modeVal) {
    var application = document.getElementsByName("application_name");
    application[0].value = applicationName;
    setMode(modeVal);
    document.getElementsByTagName('form')[0].submit();
}

function submitMode(modeVal) {
    setMode(modeVal);
    document.getElementsByTagName('form')[0].submit();
}

function setMode(modeVal) {
    var mode = document.getElementsByName("mode");
    mode[0].value = modeVal;
}

function submitApp(appName, mode) {
    var app = document.getElementsByName("app");
    app[0].value = appName;
    submitMode(mode);
}

function toggleCheck(chkName) {
    var checks = document.getElementsByTagName('input');
    var check = document.getElementsByName(chkName+'_all');
    if(!check.length) return;
    for(i = 0; i < checks.length; i++) {
        if(checks[i].name.indexOf(chkName+'@') == 0 && !checks[i].disabled) {
            checks[i].checked = check[0].checked;
        }
    }
}

function clickButton(buttonName) {
    var btn = document.getElementsByName(buttonName);
    btn[0].click();
}

function submitButton(event, okButtonName, cancelButtonName) {
    var e = event || window.event;
    var btnName = "";
    switch(e.keyCode) {
        case 13:    // enter
            btnName = okButtonName;    
            break;
        case 27:    // escape
            btnName = cancelButtonName;
            break;
    }
    if(typeof(btnName) != "undefined" && btnName != "") {
        var btn = document.getElementsByName(btnName);
        if(!window.event) {
            e.preventDefault();
        }
        e.cancelBubble = true;
        e.returnValue = false;
        btn[0].click();
    }
}

function logFileAction(file, logFileName, buttonName) {
    var logFile = document.getElementsByName(logFileName);
    logFile[0].value = file;
    clickButton(buttonName);
}

function display_restore_hint(name) {
    var field = document.getElementById(name);
    field.style.display='';
}

function unsetValidate() {
    var phase = document.getElementsByName("_phase")[0];
    phase.value = "";
}

function setFocus(fieldName) {
    var field = document.getElementsByName(fieldName);
    if(field.length > 0) field[0].focus();
}

function changeIPMode(dhcpName, ipName, maskName, gwName, dns1Name, dns2Name) {
    var dhcp = document.getElementsByName(dhcpName)[0];
    var ip = document.getElementsByName(ipName)[0];
    var mask = document.getElementsByName(maskName)[0];
    var gw = document.getElementsByName(gwName)[0];
    var dns1 = document.getElementsByName(dns1Name)[0];
    var dns2 = document.getElementsByName(dns2Name)[0];
    ip.disabled = mask.disabled = gw.disabled = dns1.disabled = dns2.disabled = (dhcp.selectedIndex == 1);
}

function submitRelayHost(relayId, modeVal) {
    var relay = document.getElementsByName("relay_id");
    relay[0].value = relayId;
    setMode(modeVal);
    unsetValidate();
    document.getElementsByTagName('form')[0].submit();
}
